GTPin: Data Fields - Variables

GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- h
- i
- k
- l
- n
- o
- p
- r
- s
- t
- v

### - _ -

- _bool : gtpin::KnobValue
- _double : gtpin::KnobValue
- _int : gtpin::KnobValue
- _str : gtpin::KnobValue

### - a -

- access : gtpin::GtMemoryBuffer
- accessType : gtpin::GtKernelArgument
- addrModel : gtpin::GtKernelArgument
- addrSpace : gtpin::GtKernelArgument

### - b -

- bus : gtpin::GtOclExecDesc , gtpin::GtL0ExecDesc

### - c -

- clangCmdFlags : gtpin::GtHliCompilationOptions
- context : gtpin::GtKernelDispatchL0Runtime , gtpin::GtKernelDispatchOclRuntime

### - d -

- device : gtpin::GtKernelDispatchOclRuntime , gtpin::GtKernelDispatchL0Runtime
- device_index : gtpin::GtL0ExecDesc , gtpin::GtOclExecDesc
- dualSubSliceId : gtpin::GtStateRegAccessor
- dx11ExecDesc : gtpin::GtKernelExecDesc
- dx12ExecDesc : gtpin::GtKernelExecDesc
- dx12RtExecDesc : gtpin::GtKernelExecDesc

### - e -

- enableBaseAtomic64 : gtpin::GtHliCompilationOptions
- enableExtAtomic64 : gtpin::GtHliCompilationOptions
- enqueue_index : gtpin::GtL0ExecDesc , gtpin::GtOclExecDesc
- euId : gtpin::GtStateRegAccessor

### - f -

- ffTid : gtpin::GtStateRegAccessor
- flags : gtpin::KnobDescriptor
- function : gtpin::GtOclExecDesc , gtpin::GtL0ExecDesc

### - h -

- helpMsg : gtpin::KnobDescriptor

### - i -

- index : gtpin::GtKernelArgument

### - k -

- kernel : gtpin::GtKernelDispatchOclRuntime , gtpin::GtKernelDispatchL0Runtime
- knobType : gtpin::KnobDescriptor

### - l -

- l0ExecDesc : gtpin::GtKernelExecDesc

### - n -

- name : gtpin::KnobDescriptor

### - o -

- oclExecDesc : gtpin::GtKernelExecDesc
- offset : gtpin::GtKernelArgument

### - p -

- program : gtpin::GtKernelDispatchOclRuntime , gtpin::GtKernelDispatchL0Runtime

### - r -

- range : gtpin::GtMemoryBuffer
- runtime : gtpin::GtL0ExecDesc , gtpin::GtOclExecDesc

### - s -

- size : gtpin::GtKernelArgument
- sliceId : gtpin::GtStateRegAccessor
- subSliceId : gtpin::GtStateRegAccessor
- symId : gtpin::KnobDescriptor

### - t -

- threadSlot : gtpin::GtStateRegAccessor
- tileId : gtpin::GtStateRegAccessor
- type : gtpin::KnobValue , gtpin::GtKernelArgument

### - v -

- vulkanExecDesc : gtpin::GtKernelExecDesc

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT